Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Class JBPMMessages.ProcessInstance.NodeInstanceContent

    java.lang.Object
      com.google.protobuf.AbstractMessageLite
          com.google.protobuf.AbstractMessage
              com.google.protobuf.GeneratedMessage
                  org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static final class JBPMMessages.ProcessInstance.NodeInstanceContent

extends com.google.protobuf.GeneratedMessage
implements JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder`
`static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode`
`static interface` | `JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder`

Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage
`com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

Field Summary
`static int` | `COMPOSITE_FIELD_NUMBER`
`static int` | `EVENT_FIELD_NUMBER`
`static int` | `FOR_EACH_FIELD_NUMBER`
`static int` | `HUMAN_TASK_FIELD_NUMBER`
`static int` | `JOIN_FIELD_NUMBER`
`static int` | `MILESTONE_FIELD_NUMBER`
`static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent>` | `PARSER`
`static int` | `RULE_SET_FIELD_NUMBER`
`static int` | `STATE_FIELD_NUMBER`
`static int` | `SUB_PROCESS_FIELD_NUMBER`
`static int` | `TIMER_FIELD_NUMBER`
`static int` | `TYPE_FIELD_NUMBER`
`static int` | `WORK_ITEM_FIELD_NUMBER`

Fields inherited from class com.google.protobuf.GeneratedMessage
`alwaysUseFieldBuilders`

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getComposite()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder` | `getCompositeOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `getDefaultInstance()`
`JBPMMessages.ProcessInstance.NodeInstanceContent` | `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode` | `getEvent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder` | `getEventOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getForEach()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder` | `getForEachOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getHumanTask()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder` | `getHumanTaskOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getJoin()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder` | `getJoinOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getMilestone()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder` | `getMilestoneOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
`com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent>` | `getParserForType()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getRuleSet()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder` | `getRuleSetOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
`int` | `getSerializedSize()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getState()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder` | `getStateOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `getSubProcess()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder` | `getSubProcessOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode` | `getTimer()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
`JBPMMessages.ProcessInstance.NodeInstanceType` | `getType()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
`com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `getWorkItem()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder` | `getWorkItemOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
`boolean` | `hasComposite()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
`boolean` | `hasEvent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
`boolean` | `hasForEach()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
`boolean` | `hasHumanTask()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
`boolean` | `hasJoin()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
`boolean` | `hasMilestone()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
`boolean` | `hasRuleSet()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
`boolean` | `hasState()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
`boolean` | `hasSubProcess()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
`boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
`boolean` | `hasType()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
`boolean` | `hasWorkItem()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
`protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
`boolean` | `isInitialized()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `newBuilder()`
`static JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent prototype)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `newBuilderForType()`
`protected JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseDelimitedFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(byte[] data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(com.google.protobuf.ByteString data)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(com.google.protobuf.CodedInputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(InputStream input)`
`static JBPMMessages.ProcessInstance.NodeInstanceContent` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`JBPMMessages.ProcessInstance.NodeInstanceContent.Builder` | `toBuilder()`
`protected Object` | `writeReplace()`
`void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

Methods inherited from class com.google.protobuf.GeneratedMessage
`getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

Methods inherited from class com.google.protobuf.AbstractMessage
`equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

Methods inherited from class com.google.protobuf.AbstractMessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

Methods inherited from interface com.google.protobuf.MessageLite
`toByteArray, toByteString, writeDelimitedTo, writeTo`

Field Detail

### PARSER

    public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent> PARSER

### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

### RULE_SET_FIELD_NUMBER

    public static final int RULE_SET_FIELD_NUMBER

See Also:
  Constant Field Values

### HUMAN_TASK_FIELD_NUMBER

    public static final int HUMAN_TASK_FIELD_NUMBER

See Also:
  Constant Field Values

### WORK_ITEM_FIELD_NUMBER

    public static final int WORK_ITEM_FIELD_NUMBER

See Also:
  Constant Field Values

### SUB_PROCESS_FIELD_NUMBER

    public static final int SUB_PROCESS_FIELD_NUMBER

See Also:
  Constant Field Values

### MILESTONE_FIELD_NUMBER

    public static final int MILESTONE_FIELD_NUMBER

See Also:
  Constant Field Values

### EVENT_FIELD_NUMBER

    public static final int EVENT_FIELD_NUMBER

See Also:
  Constant Field Values

### TIMER_FIELD_NUMBER

    public static final int TIMER_FIELD_NUMBER

See Also:
  Constant Field Values

### JOIN_FIELD_NUMBER

    public static final int JOIN_FIELD_NUMBER

See Also:
  Constant Field Values

### STATE_FIELD_NUMBER

    public static final int STATE_FIELD_NUMBER

See Also:
  Constant Field Values

### COMPOSITE_FIELD_NUMBER

    public static final int COMPOSITE_FIELD_NUMBER

See Also:
  Constant Field Values

### FOR_EACH_FIELD_NUMBER

    public static final int FOR_EACH_FIELD_NUMBER

See Also:
  Constant Field Values

Method Detail

### getDefaultInstance

    public static JBPMMessages.ProcessInstance.NodeInstanceContent getDefaultInstance()

### getDefaultInstanceForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent getDefaultInstanceForType()

  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Specified by:
    `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

  Specified by:
    `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
  Overrides:
    `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

  Specified by:
    `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

### getParserForType

    public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent> getParserForType()

  Specified by:
    `getParserForType` in interface `com.google.protobuf.Message`
  Specified by:
    `getParserForType` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getParserForType` in class `com.google.protobuf.GeneratedMessage`

### hasType

    public boolean hasType()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`

  Specified by:
    `hasType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getType

    public JBPMMessages.ProcessInstance.NodeInstanceType getType()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`

  Specified by:
    `getType` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasRuleSet

    public boolean hasRuleSet()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

  Specified by:
    `hasRuleSet` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getRuleSet

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getRuleSet()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

  Specified by:
    `getRuleSet` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getRuleSetOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder getRuleSetOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

  Specified by:
    `getRuleSetOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasHumanTask

    public boolean hasHumanTask()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

  Specified by:
    `hasHumanTask` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getHumanTask

    public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getHumanTask()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

  Specified by:
    `getHumanTask` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getHumanTaskOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder getHumanTaskOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

  Specified by:
    `getHumanTaskOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasWorkItem

    public boolean hasWorkItem()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

  Specified by:
    `hasWorkItem` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getWorkItem

    public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode getWorkItem()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

  Specified by:
    `getWorkItem` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getWorkItemOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder getWorkItemOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

  Specified by:
    `getWorkItemOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasSubProcess

    public boolean hasSubProcess()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

  Specified by:
    `hasSubProcess` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getSubProcess

    public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode getSubProcess()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

  Specified by:
    `getSubProcess` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getSubProcessOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder getSubProcessOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

  Specified by:
    `getSubProcessOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasMilestone

    public boolean hasMilestone()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

  Specified by:
    `hasMilestone` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getMilestone

    public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getMilestone()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

  Specified by:
    `getMilestone` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getMilestoneOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder getMilestoneOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

  Specified by:
    `getMilestoneOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasEvent

    public boolean hasEvent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

  Specified by:
    `hasEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getEvent

    public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode getEvent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

  Specified by:
    `getEvent` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getEventOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder getEventOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

  Specified by:
    `getEventOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasTimer

    public boolean hasTimer()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

  Specified by:
    `hasTimer` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getTimer

    public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode getTimer()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

  Specified by:
    `getTimer` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getTimerOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder getTimerOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

  Specified by:
    `getTimerOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasJoin

    public boolean hasJoin()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

  Specified by:
    `hasJoin` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getJoin

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getJoin()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

  Specified by:
    `getJoin` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getJoinOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder getJoinOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

  Specified by:
    `getJoinOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasState

    public boolean hasState()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

  Specified by:
    `hasState` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getState

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getState()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

  Specified by:
    `getState` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getStateOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder getStateOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

  Specified by:
    `getStateOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasComposite

    public boolean hasComposite()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

  Specified by:
    `hasComposite` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getComposite

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getComposite()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

  Specified by:
    `getComposite` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getCompositeOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder getCompositeOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

  Specified by:
    `getCompositeOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### hasForEach

    public boolean hasForEach()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

  Specified by:
    `hasForEach` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getForEach

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getForEach()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

  Specified by:
    `getForEach` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### getForEachOrBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder getForEachOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

  Specified by:
    `getForEachOrBuilder` in interface `JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder`

### isInitialized

    public final boolean isInitialized()

  Specified by:
    `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
  Overrides:
    `isInitialized` in class `com.google.protobuf.GeneratedMessage`

### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

  Specified by:
    `writeTo` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `writeTo` in class `com.google.protobuf.AbstractMessage`
  Throws:
    `IOException`

### getSerializedSize

    public int getSerializedSize()

  Specified by:
    `getSerializedSize` in interface `com.google.protobuf.MessageLite`
  Overrides:
    `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

### writeReplace

    protected Object writeReplace()
                           throws ObjectStreamException

  Overrides:
    `writeReplace` in class `com.google.protobuf.GeneratedMessage`
  Throws:
    `ObjectStreamException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(com.google.protobuf.ByteString data)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(com.google.protobuf.ByteString data,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(byte[] data)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(byte[] data,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws com.google.protobuf.InvalidProtocolBufferException

  Throws:
    `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(InputStream input)
                                                                      throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(InputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseDelimitedFrom(InputStream input)
                                                                               throws IOException

  Throws:
    `IOException`

### parseDelimitedFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseDelimitedFrom(InputStream input,
                                                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                               throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(com.google.protobuf.CodedInputStream input)
                                                                      throws IOException

  Throws:
    `IOException`

### parseFrom

    public static JBPMMessages.ProcessInstance.NodeInstanceContent parseFrom(com.google.protobuf.CodedInputStream input,
                                                                             com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                      throws IOException

  Throws:
    `IOException`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.Builder newBuilder()

### newBuilderForType

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder newBuilderForType()

  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.Message`
  Specified by:
    `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

    public static JBPMMessages.ProcessInstance.NodeInstanceContent.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent prototype)

### toBuilder

    public JBPMMessages.ProcessInstance.NodeInstanceContent.Builder toBuilder()

  Specified by:
    `toBuilder` in interface `com.google.protobuf.Message`
  Specified by:
    `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

    protected JBPMMessages.ProcessInstance.NodeInstanceContent.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

  Specified by:
    `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.